#ifndef __screen_move_sensorerror
#define __screen_move_sensorerror

#include "../screen.h"
#include "../state.h"


/*
 * Move sensor error screen
 *   Shows a warning that the height sensor is not providing valid values.
 *   Can only be dismissed after the sensor is stable again.
 */
class MoveSensorErrorScreen : public BaseScreen
{
  public:
    MoveSensorErrorScreen(ScreenManager* screenManager) : BaseScreen(screenManager) { }

    void onShow();
    void onButton(Button button);
    void onTick();

  private:
};

#endif
